Results 1 to 9 of 9
  1. #1
    New Lounger
    Join Date
    Apr 2011
    Posts
    1
    Thanks
    0
    Thanked 2 Times in 1 Post

    Firefox 4 and Roboform 6.10.2 fix

    I read the Fred Langa section in the current newsletter and laughed to myself. I had had this exact problem recently and spent a good few hours trying to work out how to get Roboform 6.10.2 to work with my upgraded firefox 4.

    I like roboform but thought it was a con to force me to pay for an upgrade just to get an existing product to work. I spent a bit of time trying to get a working roboform 6.10.2 working and finally managed it.

    Here are the steps to get it working - it works fine for me and I hope you all have the same success

    1. Install Roboform 7.2.7
    2. Copy folder "c:\Program Files\Siber Systems\AI RoboForm\Firefox\" to another location
    3. Install Roboform 6.10.2 -dont untick option to install adapter for firefox
    4. Replace "c:\Program Files\Siber Systems\AI RoboForm\Firefox\" with your copy from 7.2.7 version
    now you should have working 6.10.2 roboform with latest adapter from 7.2.7

    Hope this helps all of you roboform users.

  2. The Following 2 Users Say Thank You to Smoo For This Useful Post:

    baboon (2011-06-22),zandu (2011-05-16)

  3. #2
    New Lounger
    Join Date
    Dec 2009
    Location
    Burien, WA
    Posts
    22
    Thanks
    6
    Thanked 1 Time in 1 Post
    One of the readers commented on RoboForm not being compatible with FF4 and wanting them to upgrade to RF7. Fred didn't suggest the option to actually upgrade to RF7 but I've found it to be an excellent upgrade with plenty of features that make it worth while. I have been a subscriber to RF since version 0.8... I don't know how I would survive without it!
    A former Soggy Sysop from Seattle!
    If it isn't broken by now, give me 5 more minutes!

  4. #3
    New Lounger
    Join Date
    Jun 2011
    Posts
    1
    Thanks
    0
    Thanked 1 Time in 1 Post

    Roboform's unethical tactics deserve consequences

    Quote Originally Posted by justgeo1 View Post
    One of the readers commented on RoboForm not being compatible with FF4 and wanting them to upgrade to RF7. Fred didn't suggest the option to actually upgrade to RF7 but I've found it to be an excellent upgrade with plenty of features that make it worth while. I have been a subscriber to RF since version 0.8... I don't know how I would survive without it!
    Why would you buy a "security" product from someone who has proven they have no principles, morals or ethics?
    As long as people continue to enable these sleeze-bag business ethics, these tactics work.
    When the makers of Roboform took my money for Version 6, they didn't disclose "4 months from now, the product you just purchased will no longer be supported, will not work, and you'll be forced to pay an additional annual fee". They advertised this with the implication I was purchasing a "one-time fee" product, at a time when they KNEW they were ripping-off the purchasers of Version 6.

    I don't care if Version 7 gave me the winning lottery ticket numbers, I would NOT give these thieves ONE CENT for this "update".

    Until people monetarily punish organizations for these borderline criminal tactics by withholding business, we will be forced to trade in an environment full of thieves and liars.

    You can't write laws that criminalize each and every possible method of "stealing".
    Many Internet based businesses have adopted an "ethic" that basically says: "If I can't be arrested, or, if I can get away with this without being sued, and it makes me more money, then SURE, I call that "Ethical" enough".

    By enabling this behavior, we trade in an environment where the most creative "back-stabbers" win the game. Businesses with principles and ethics are driven out by those with none. Our legal system has been purchased by the highest bidder. It is up to consumers to police business tactics, and starve-out the thieves.

    In other words: BOYCOTT ROBOFORM

  5. The Following User Says Thank You to Switz For This Useful Post:

    baboon (2011-06-22)

  6. #4
    Super Moderator RetiredGeek's Avatar
    Join Date
    Mar 2004
    Location
    Manning, South Carolina
    Posts
    9,434
    Thanks
    372
    Thanked 1,457 Times in 1,326 Posts
    Switz,

    Welcome to the lounge.

    Sorry, but I'll have to disagree with you on this one. Are you also going to boycott all the hardware manufactures that didn't write Windows 7 drivers for their old printers/scanners {HP big offender here}? Or all the anti-virus vendors who required a new version for Windows 98, ME, XP, Vists, and 7? Symantec & Intuit also sunset their products every 2 years and you buy new versions or your old ones loose functionality!

    RoboForm had to write NEW code for all the new browser versions {IE 9, FF 4, Chrome 11} they deserve to be compensated for that effort. You didn't have to upgrade your browsers to the latest version in which case RF6 would have kept on working just fine. I've been using RF6 for several years and they kept it upgraded to work with many new browser versions. There comes a time when enough is enough and you have to charge for a new version {with many new features I might add} so you can keep the lights on and employee's paid.

    The idea that you pay once and get service for the rest of your life is a little far out there don't you think?
    May the Forces of good computing be with you!

    RG

    PowerShell & VBA Rule!

    My Systems: Desktop Specs
    Laptop Specs

  7. #5
    Star Lounger
    Join Date
    Dec 2009
    Location
    Kennesaw, GA
    Posts
    67
    Thanks
    2
    Thanked 1 Time in 1 Post
    Quote Originally Posted by RetiredGeek View Post
    Switz,

    RoboForm had to write NEW code for all the new browser versions {IE 9, FF 4, Chrome 11} they deserve to be compensated for that effort. You didn't have to upgrade your browsers to the latest version in which case RF6 would have kept on working just fine. I've been using RF6 for several years and they kept it upgraded to work with many new browser versions.
    The idea that you pay once and get service for the rest of your life is a little far out there don't you think?
    The aggravating part is that they did write the new code and ver 6 did run with the FF4 beta. Ver 6 does work fine with IE9 so as much as I like FF, I may just switch back to IE as it is significantly better than it was when I switched to FF years ago.

  8. #6
    New Lounger
    Join Date
    Jun 2011
    Posts
    3
    Thanks
    4
    Thanked 0 Times in 0 Posts
    Quote Originally Posted by Smoo View Post
    I read the Fred Langa section in the current newsletter and laughed to myself. I had had this exact problem recently and spent a good few hours trying to work out how to get Roboform 6.10.2 to work with my upgraded firefox 4.

    I like roboform but thought it was a con to force me to pay for an upgrade just to get an existing product to work. I spent a bit of time trying to get a working roboform 6.10.2 working and finally managed it.

    Here are the steps to get it working - it works fine for me and I hope you all have the same success

    1. Install Roboform 7.2.7
    2. Copy folder "c:\Program Files\Siber Systems\AI RoboForm\Firefox\" to another location
    3. Install Roboform 6.10.2 -dont untick option to install adapter for firefox
    4. Replace "c:\Program Files\Siber Systems\AI RoboForm\Firefox\" with your copy from 7.2.7 version
    now you should have working 6.10.2 roboform with latest adapter from 7.2.7

    Hope this helps all of you roboform users.
    Wow that was super easy to do!

    I signed up just to say thank you, people don't realize how valuable this information is. My stuff is now working with Firefox 4. And you put it pretty mildly, I think it's a big security risk. So if you want to have the most secure browser you HAVE to purchase their stuff...

    I think we should sprinkle some more keywords into this thread so others can find it. I would say that you have provided a "firefox 4 roboform 6 adapter" and solved "firefox 4 roboform 6 problem" for good!

    Thanks once again!!

  9. #7
    New Lounger
    Join Date
    Jun 2011
    Posts
    2
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Hi everybody. I'm pretty mad about that Siebers Systems move. They really should give the free updates as promised to all former paying costumers.
    The procedure above works. But in Firefox 4, and now Firefox 5, my problem is I see a black rectangle instead seeing the login buttons, which is odd. If you mouse over then you see that part ok.

    Anybody experienced (and fixed) that?

  10. #8
    New Lounger
    Join Date
    Jun 2011
    Posts
    2
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Thanks Smoo for your tip on getting Roboform V6.10 to work with the latest Firefox at the time. I've followed your instructions, and It works even for the newest Firefox (V5). I too was surprised and disappointed when I discovered what I thought was a free upgrade to the latest Roboform for paid users of V6 turned out to be 30 day TRIALWARE. I have read some posts that side with Siber System's decision to end support of Roboform V6 for Firefox V4 and later, arguing that they should not be compelled to honor "lifetime" licenses for all future releases of the browser. They may have a point, but the way Siber Systems went about marketing the upgrade to previous license holders was deceptive at least. So, if there is a way to continue using Roboform V6 (and benefit from the improvements of the latest version of Firefox) without paying this company another penny, I'm in favor of spreading the word. To answer the previous post, no black rectangles seen.

    As for dumping Roboform altogether, I've heard of security breaches for other password management programs (e.g.: LastPass Password Manager) that store the info remotely ("in the cloud"), so I prefer to keep my passwords encrypted AND stored locally, as I believe is the case for Roboform V6.

    Thanks again for your help.
    Last edited by Bill Windows; 2011-06-30 at 16:28.

  11. #9
    New Lounger
    Join Date
    Jun 2011
    Posts
    2
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Nobody experiencing the visualization problems with the hack? (black annoying in buttons).
    I'm not sure make this massive be a good idea, they will find out the way to stop the hack work.

    Besides the new Roboform "Everywhere" stores passwords remotely (I'd never want that for any reason, and never trust my passwords to them).
    Oh surprise: you have pay yearly with this new model!

    You can tell them what you think on facebook and twitter thought.
    Last edited by silverbytes; 2011-06-30 at 11:19. Reason: forgot a note in the end

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •